NOHUP(1)

NAME
nohup - run a command immune to hangups, with output to a non-tty

SYNOPSIS
nohup command [arg...]
nohup {--help,--version}

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of nohup. nohup runs the given command with hangup signals ignored and the scheduling priority increased by 5, so that the command can continue running in the background after you log out. If the standard output is a tty, it and the standard error are redirected so that they are appended to the file `nohup.out'; if that cannot be written to, they are appended to the file `$HOME/nohup.out'. If that cannot be written to, the command is not run.

If nohup creates the file `nohup.out' or `$HOME/nohup.out', it creates it with no access permissions for group or other. It does not change the permissions of those files if they already existed.

nohup does not automatically put the command it runs in the background; you must do that explicitly, by ending the command line with an `&'.

  OPTIONS
When GNU nohup is invoked with exactly one argument, the following options are recognized:

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.